'''
1) Создайте функцию, которая проверяет чётное число передано в параметре или нет. Она должна возвращать True или False.
2) Создайте функцию, которая принимает список и возвращает максимальное значение из списка.
3) Создайте функцию с переменным числом аргументов, внутри которой должно выводиться среднее арифметическое переданных чисел.
Примечание: среднее арифметическое чисел равно сумме этих чисел поделённое на их количество.
'''
def honest(a):
    if a%2 ==0:
        return True
    else:
        return False

def maxlist(l):
    return max(l)

def avgnum(*numbers):
    x = 0
    s = 0
    for i in numbers:
        x = x+i
        s +=1
    return x/s

print(honest(5))
l = [1, 2, 3, 4, 5, 6]
print(maxlist(l))
print(avgnum(1, 1, 1, 1, 1))
